package com.hiramine.modelvieweretude;

import android.app.Activity;
import android.os.Bundle;
import android.view.Window;
import android.view.WindowManager;

public class ModelViewerEtudeActivity extends Activity
{
	private ModelViewerView	m_modelviewerview;

	@Override
	public void onCreate( Bundle savedInstanceState )
	{
		super.onCreate( savedInstanceState );

		// フルスクリーンの指定
		getWindow().clearFlags( WindowManager.LayoutParams.FLAG_FORCE_NOT_FULLSCREEN );
		getWindow().addFlags( WindowManager.LayoutParams.FLAG_FULLSCREEN );

		// タイトルなし
		requestWindowFeature( Window.FEATURE_NO_TITLE );

		// GLSurfaceViewの生成
		m_modelviewerview = new ModelViewerView( this );

		// ActivityにViewのセット
		setContentView( m_modelviewerview );
	}

	// 他のアクティビティが起動したことで、バックグラウンドに追いやられた時
	@Override
	protected void onPause()
	{
		m_modelviewerview.onPause();
		super.onPause();
	}

	// ポーズから復帰する時
	@Override
	protected void onResume()
	{
		super.onResume();
		m_modelviewerview.onResume();
	}
}
